org.jgroups.util

## Class SingletonAddress

- java.lang.Object
- - org.jgroups.util.SingletonAddress

- All Implemented Interfaces:
    java.io.Externalizable, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Address>, Address, Streamable

      public class SingletonAddress
      extends java.lang.Object
      implements Address

  Address with a cluster name. Used by TP.Bundler.
  Author:
    Bela Ban
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Address` | `addr`
    `protected java.lang.String` | `cluster_name`

    - ### Fields inherited from interface org.jgroups.Address

      `IP_ADDR, NULL, UUID_ADDR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SingletonAddress()`
    `SingletonAddress(java.lang.String cluster_name, Address addr)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(Address o)`
    `boolean` | `equals(java.lang.Object obj)`
    `Address` | `getAddress()`
    `java.lang.String` | `getClusterName()`
    `int` | `hashCode()`
    `boolean` | `isMulticastAddress()` Checks whether this is an address that represents multiple destinations; e.g., a class D address in the Internet.
    `void` | `readExternal(java.io.ObjectInput in)`
    `void` | `readFrom(java.io.DataInputStream in)` Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed
    `int` | `size()` Returns serialized size of this address
    `java.lang.String` | `toString()`
    `void` | `writeExternal(java.io.ObjectOutput out)`
    `void` | `writeTo(java.io.DataOutputStream out)` Write the entire state of the current object (including superclasses) to outstream.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### cluster_name

          protected final java.lang.String cluster_name

    - #### addr

          protected final Address addr

  - ### Constructor Detail

    - #### SingletonAddress

          public SingletonAddress(java.lang.String cluster_name,
                          Address addr)

    - #### SingletonAddress

          public SingletonAddress()

  - ### Method Detail

    - #### getAddress

          public Address getAddress()

    - #### getClusterName

          public java.lang.String getClusterName()

    - #### isMulticastAddress

          public boolean isMulticastAddress()

      Description copied from interface: `Address`
      Checks whether this is an address that represents multiple destinations; e.g., a class D address in the Internet.
      Specified by:
        `isMulticastAddress` in interface `Address`
      Returns:
        true if this is a multicast address, false if it is a unicast address

    - #### size

          public int size()

      Description copied from interface: `Address`
      Returns serialized size of this address
      Specified by:
        `size` in interface `Address`

    - #### writeExternal

          public void writeExternal(java.io.ObjectOutput out)
                             throws java.io.IOException

      Specified by:
        `writeExternal` in interface `java.io.Externalizable`
      Throws:
        `java.io.IOException`

    - #### readExternal

          public void readExternal(java.io.ObjectInput in)
                            throws java.io.IOException,
                                   java.lang.ClassNotFoundException

      Specified by:
        `readExternal` in interface `java.io.Externalizable`
      Throws:
        `java.io.IOException`
        `java.lang.ClassNotFoundException`

    - #### writeTo

          public void writeTo(java.io.DataOutputStream out)
                       throws java.io.IOException

      Description copied from interface: `Streamable`
      Write the entire state of the current object (including superclasses) to outstream. Note that the output stream must not be closed
      Specified by:
        `writeTo` in interface `Streamable`
      Throws:
        `java.io.IOException`

    - #### readFrom

          public void readFrom(java.io.DataInputStream in)
                        throws java.io.IOException,
                               java.lang.IllegalAccessException,
                               java.lang.InstantiationException

      Description copied from interface: `Streamable`
      Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed
      Specified by:
        `readFrom` in interface `Streamable`
      Throws:
        `java.io.IOException`
        `java.lang.IllegalAccessException`
        `java.lang.InstantiationException`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(Address o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<Address>`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.